OPSS - The upgradeOpss script shows WARNING: Unable to get the Version from Store returning the default. Reason: java.sql.SQLException: ORA-01017: invalid username/password (Doc ID 2208254.1)

Last updated on AUGUST 25, 2017

Applies to:

Oracle Platform Security for Java - Version 11.1.1.7.0 and later
Information in this document applies to any platform.

Symptoms

While upgrading the OAM 11gr2ps1 to 11gr2ps3 while running the upgradeOpss and getting following:

 

LASSPATH=/Oracle/Middleware/patch_wls1036/profiles/default/sys_manifest_classpath/weblogic_patch.jar:/Oracle/Middleware/patch_ocp371/profiles/default/sys_manifest_classpath/weblogic_patch.jar:/usr/j7se/lib/tools.jar:/bx/Oracle/Middleware/wlserver_10.3/server/lib/weblogic_sp.jar:/Oracle/Middleware/wlserver_10.3/server/lib/weblogic.jar:/Oracle/Middleware/modules/features/weblogic.server.modules_10.3.6.0.jar:/Oracle/Middleware/wlserver_10.3/server/lib/webservices.jar:/Oracle/Middleware/modules/org.apache.ant_1.7.1/lib/ant-all.jar:/Oracle/Middleware/modules/net.sf.antcontrib_1.1.0.0_1-0b2/lib/ant-contrib.jar::/Oracle/Middleware/oracle_common/modules/oracle.jrf_11.1.1/jrf-wlstman.jar:/Oracle/Middleware/oracle_common/common/wlst/lib/adfscripting.jar:/Oracle/Middleware/oracle_common/common/wlst/lib/adf-share-mbeans-wlst.jar:/Oracle/Middleware/oracle_common/common/wlst/lib/mdswlst.jar:/Oracle/Middleware/oracle_common/common/wlst/resources/auditwlst.jar:/Oracle/Middleware/oracle_common/common/wlst/resources/igfwlsthelp.jar:/Oracle/Middleware/oracle_common/common/wlst/resources/jps-wlst.jar:/Oracle/Middleware/oracle_common/common/wlst/resources/jps-wls-trustprovider.jar:/Oracle/Middleware/oracle_common/common/wlst/resources/jrf-wlst.jar:/Oracle/Middleware/oracle_common/common/wlst/resources/oamap_help.jar:/Oracle/Middleware/oracle_common/common/wlst/resources/oamAuthnProvider.jar:/Oracle/Middleware/oracle_common/common/wlst/resources/ossoiap_help.jar:/Oracle/Middleware/oracle_common/common/wlst/resources/ossoiap.jar:/Oracle/Middleware/oracle_common/common/wlst/resources/ovdwlsthelp.jar:/Oracle/Middleware/oracle_common/common/wlst/resources/sslconfigwlst.jar:/Oracle/Middleware/oracle_common/common/wlst/resources/wsm-wlst.jar:/Oracle/Middleware/utils/config/10.3/config-launch.jar::/Oracle/Middleware/wlserver_10.3/common/derby/lib/derbynet.jar:/Oracle/Middleware/wlserver_10.3/common/derby/lib/derbyclient.jar:/Oracle/Middleware/wlserver_10.3/common/derby/lib/derbytools.jar::

Initializing WebLogic Scripting Tool (WLST) ...

Welcome to WebLogic Server Administration Scripting Shell

Type help() for help on available commands

{upgradeJseStoreType=false, transformData=null, auditStore=/Oracle/Middleware/oracle_common/modules/oracle.jps_11.1.1/domain_config/audit-store.xml, user=XXX_OPSS, url=jdbc:oracle:thin:@<HOST>:1521/<SERVICE>, jdbcDriver=oracle.jdbc.OracleDriver, jaznData=/Oracle/Middleware/oracle_common/modules/oracle.jps_11.1.1/domain_config/system-jazn-data.xml, jpsConfig=/Oracle/Middleware/user_projects/domains/oam_domain/config/fmwconfig/jps-config.xml}
Starting upgrade of opss configuration and security stores.
Nov 16, 2016 10:15:56 AM oracle.security.jps.util.JpsUtil disableAudit
INFO: JpsUtil: isAuditDisabled set to true
Nov 16, 2016 10:16:03 AM oracle.security.jps.upgrade.tools.utility.Upgrade checkLogicStores
WARNING: There are multiple logic security stores in the db schema : cn=jpsroot,cn=jpscontext,cn=iam, cn=jpsroot,cn=jpscontext,cn=oes_domain,. Please split them before doing upgrade. <<<<<<<<<<<<<<<<<<<<<<<<<<<<<
WLS ManagedService is not up running. Fall back to use system properties for configuration.
Nov 16, 2016 10:16:32 AM oracle.security.jps.internal.tools.utility.destination.apibased.JpsDstPolicy migrateDataInternal
INFO: Migration of Admin Roles started
Nov 16, 2016 10:16:32 AM oracle.security.jps.internal.tools.utility.destination.apibased.JpsDstPolicy cloneAdminRoleMembers
INFO: Migration of Admin Role Members started
Nov 16, 2016 10:16:32 AM oracle.security.jps.internal.tools.utility.destination.apibased.JpsDstPolicy cloneAdminRoleMembers
INFO: Migration of 1 Admin Role Members completed in 00:00:00
Nov 16, 2016 10:16:32 AM oracle.security.jps.internal.tools.utility.destination.apibased.JpsDstPolicy migrateDataInternal
INFO: Migration of 1 Admin Roles completed in 00:00:00
Nov 16, 2016 10:16:34 AM oracle.security.jps.wls.JpsWlsPlatformFactory$2 run
WARNING: Cannot get server log directory. Reason: Cannot get audit log path by environment setting..
Nov 16, 2016 10:16:35 AM oracle.security.jps.internal.tools.utility.JpsUtilMigrationAuditStoreImpl migrateAuditStoreData
INFO: Migration of Audit Store data in progress.....
Nov 16, 2016 10:17:27 AM oracle.security.jps.internal.tools.utility.JpsUtilMigrationAuditStoreImpl migrateAuditStoreData
INFO: Migration of Audit Store data completed, Time taken for migration is 00:00:51
Nov 16, 2016 10:17:28 AM oracle.security.jps.util.JpsUtil disableAudit
INFO: JpsUtil: isAuditDisabled set to false
Upgrade of opss configuration and security stores is done.

 
Additional to that, after starting the servers next message is reported:

 

Nov 16, 2016 10:31:19 AM oracle.security.jps.internal.common.config.AbstractSecurityStore getSecurityStoreVersion
WARNING: Unable to get the Version from Store returning the default. Reason: java.sql.SQLException: ORA-01017: invalid username/password
; logon denied
.
Nov 16, 2016 10:31:22 AM oracle.security.jps.internal.policystore.ldap.LdapPolicyStore initial
INFO: Container is not ready at the point null
Nov 16, 2016 10:31:22 AM oracle.security.jps.internal.common.config.AbstractSecurityStore getSecurityStoreVersion
WARNING: Unable to get the Version from Store returning the default. Reason: java.sql.SQLException: ORA-28000: the account is locked

 

Changes

 

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms